javafx.beans.binding

## Class When.ObjectConditionBuilder<T>

- java.lang.Object
- - javafx.beans.binding.When.ObjectConditionBuilder<T>

- Enclosing class:
    When

      public class When.ObjectConditionBuilder<T>
      extends Object

  An intermediate class needed while assembling the ternary expression. It should not be used in another context.
  Since:
    JavaFX 2.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectBinding<T>` | `otherwise(ObservableObjectValue<T> otherwiseValue)` Defines the `ObservableObjectValue` which value is returned by the ternary expression if the condition is `false`.
    `ObjectBinding<T>` | `otherwise(T otherwiseValue)` Defines a constant value of the ternary expression, that is returned if the condition is `false`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### otherwise

          public ObjectBinding<T> otherwise(ObservableObjectValue<T> otherwiseValue)

      Defines the `ObservableObjectValue` which value is returned by the ternary expression if the condition is `false`.
      Parameters:
        `otherwiseValue` - the value
      Returns:
        the complete `ObjectBinding`

    - #### otherwise

          public ObjectBinding<T> otherwise(T otherwiseValue)

      Defines a constant value of the ternary expression, that is returned if the condition is `false`.
      Parameters:
        `otherwiseValue` - the value
      Returns:
        the complete `ObjectBinding`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.